Subject: Re: [PATCH v4 4/4] notes: teach git-notes about notes.<ref>.merge option

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Aug 2015 12:09:22 -0700

Jacob Keller <[email-masked]> writes:

> On Tue, Aug 11, 2015 at 7:26 PM, Junio C Hamano <[email-masked]> wrote:
>> Johan Herland <[email-masked]> writes:
>>
>>> I know that we don't yet have a "proper" place to put remote notes refs,
>>> but the <ref> in notes.<ref>.merge _must_ be a "local" notes ref (you even
>>> use the <localref> notation in the documentation below). Thus, I believe
>>> we can presume that the local notes ref must live under refs/notes/*,
>>> and hence drop the "refs/notes/" prefix from the config key (just like
>>> branch.<name>.* can presume that <name> lives under refs/heads/*).
>>
>> I am OK going in that direction, as long as we promise that "notes
>> merge" will forever refuse to work on --notes=$ref where $ref does
>> not begin with refs/notes/.
>
> It appears that notes merge already allows operating on refs not in "refs/notes"

If that is the case, then the only sane choice left to us is to
accept only fully qualified refname, e.g. refs/notes/commit, in
notes.<ref>.mergestrategy, without shortening, I would think.